> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payin Balances

> 
    The organisation's available balance at the payin provider, one entry per currency —
    the funds payins can deliver on-chain.
  

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Payins:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /payins/balances
openapi: 3.1.0
info:
  version: 1.930.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /payins/balances:
    get:
      tags:
        - Payins
      summary: List Payin Balances
      description: |2-

            The organisation's available balance at the payin provider, one entry per currency —
            the funds payins can deliver on-chain.
          
      parameters:
        - schema:
            type: string
            enum:
              - CircleMint
            description: The payin provider to fetch balances from.
          required: true
          description: The payin provider to fetch balances from.
          name: provider
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        provider:
                          type: string
                          enum:
                            - CircleMint
                          description: Payin provider.
                        currency:
                          type: string
                          description: Fiat currency of the balance (e.g. USD, EUR).
                        amount:
                          type: string
                          description: Available amount in currency units (e.g. "408.82").
                      required:
                        - provider
                        - currency
                        - amount
                required:
                  - items
      security:
        - authenticationToken: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````